ublas: boost::numeric::ublas::matrix_reference< E > Class Template Reference

# boost::numeric::ublas::matrix_reference< E > Class Template Reference

Inherits matrix_expression< matrix_reference< E > >.

List of all members.

## Public Types

typedef E::size_type | size_type
typedef E::difference_type | difference_type
typedef E::value_type | value_type
typedef E::const_reference | const_reference
typedef boost::mpl::if_ < boost::is_const< E > , typename E::const_reference, typename E::reference >::type | reference
typedef E | referred_type
typedef const self_type | const_closure_type
typedef self_type | closure_type
typedef E::orientation_category | orientation_category
typedef E::storage_category | storage_category
typedef E::const_iterator1 | const_iterator1
typedef boost::mpl::if_ < boost::is_const< E > , typename E::const_iterator1, typename E::iterator1 >::type | iterator1
typedef E::const_iterator2 | const_iterator2
typedef boost::mpl::if_ < boost::is_const< E > , typename E::const_iterator2, typename E::iterator2 >::type | iterator2
typedef reverse_iterator_base1 < const_iterator1 > | const_reverse_iterator1
typedef reverse_iterator_base1 < iterator1 > | reverse_iterator1
typedef reverse_iterator_base2 < const_iterator2 > | const_reverse_iterator2
typedef reverse_iterator_base2 < iterator2 > | reverse_iterator2

## Public Member Functions

BOOST_UBLAS_INLINE | matrix_reference (referred_type &e)
BOOST_UBLAS_INLINE size_type | size1 () const
BOOST_UBLAS_INLINE size_type | size2 () const
BOOST_UBLAS_INLINE const referred_type & | expression () const
BOOST_UBLAS_INLINE referred_type & | expression ()
BOOST_UBLAS_INLINE const_reference | operator() (size_type i, size_type j) const
BOOST_UBLAS_INLINE reference | operator() (size_type i, size_type j)
BOOST_UBLAS_INLINE matrix_reference & | operator= (const matrix_reference &m)
template<class AE >
BOOST_UBLAS_INLINE matrix_reference & | operator= (const matrix_expression< AE > &ae)
template<class AE >
BOOST_UBLAS_INLINE matrix_reference & | assign (const matrix_expression< AE > &ae)
template<class AE >
BOOST_UBLAS_INLINE matrix_reference & | operator+= (const matrix_expression< AE > &ae)
template<class AE >
BOOST_UBLAS_INLINE matrix_reference & | plus_assign (const matrix_expression< AE > &ae)
template<class AE >
BOOST_UBLAS_INLINE matrix_reference & | operator-= (const matrix_expression< AE > &ae)
template<class AE >
BOOST_UBLAS_INLINE matrix_reference & | minus_assign (const matrix_expression< AE > &ae)
template<class AT >
BOOST_UBLAS_INLINE matrix_reference & | operator*= (const AT &at)
template<class AT >
BOOST_UBLAS_INLINE matrix_reference & | operator/= (const AT &at)
BOOST_UBLAS_INLINE void | swap (matrix_reference &m)
BOOST_UBLAS_INLINE bool | same_closure (const matrix_reference &mr) const
BOOST_UBLAS_INLINE const_iterator1 | find1 (int rank, size_type i, size_type j) const
BOOST_UBLAS_INLINE iterator1 | find1 (int rank, size_type i, size_type j)
BOOST_UBLAS_INLINE const_iterator2 | find2 (int rank, size_type i, size_type j) const
BOOST_UBLAS_INLINE iterator2 | find2 (int rank, size_type i, size_type j)
BOOST_UBLAS_INLINE const_iterator1 | begin1 () const
BOOST_UBLAS_INLINE const_iterator1 | end1 () const
BOOST_UBLAS_INLINE iterator1 | begin1 ()
BOOST_UBLAS_INLINE iterator1 | end1 ()
BOOST_UBLAS_INLINE const_iterator2 | begin2 () const
BOOST_UBLAS_INLINE const_iterator2 | end2 () const
BOOST_UBLAS_INLINE iterator2 | begin2 ()
BOOST_UBLAS_INLINE iterator2 | end2 ()
BOOST_UBLAS_INLINE const_reverse_iterator1 | rbegin1 () const
BOOST_UBLAS_INLINE const_reverse_iterator1 | rend1 () const
BOOST_UBLAS_INLINE reverse_iterator1 | rbegin1 ()
BOOST_UBLAS_INLINE reverse_iterator1 | rend1 ()
BOOST_UBLAS_INLINE const_reverse_iterator2 | rbegin2 () const
BOOST_UBLAS_INLINE const_reverse_iterator2 | rend2 () const
BOOST_UBLAS_INLINE reverse_iterator2 | rbegin2 ()
BOOST_UBLAS_INLINE reverse_iterator2 | rend2 ()

### template<class E>
class boost::numeric::ublas::matrix_reference< E >